var qtdeMostrada = -qtdeCarregar;

function carregarDadosRotas() {
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;
	
	if (document.getElementById('tabelarelrotas').childNodes[3].innerHTML.indexOf('final-tabela') > 0) {
		return;
	}
	
	$('#divtabelarotas').css('display', 'none'); 
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('rotas/relrotas.php',
		{
			codvendedor: $("#filtrovendedorrotas").val(),
			nrorota: $("#filtrorotas").val(),
			diasemana: $('#filtrodiasemana').val(),
			inicio: qtdeMostrada,
			qtde: qtdeCarregar //qtdeCarregar em dadosJS.js
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarelrotas').childNodes[3].innerHTML += data;
				$("#tabelarelrotas").table("refresh");
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelrotas").click();
			}
		}
	);
	$('#divtabelarotas').css('display', 'block'); 
	
	$(document).on('scrollstop', scrollStopRotas);
}

function scrollStopRotas() {
	checkScroll(carregarDadosRotas, "relrotas"); //checkScroll em dadosJS.js
}

function lkpRotas() {
	var codvendedor = $('#filtrovendedorrotas').val();
	if(codvendedor != ""){
		$.ajaxSetup({
			beforeSend:	'',
			complete: ''
		});
		$.post('lookups/lkprotas.php',
			{
				codvendedor: codvendedor
			},
			function(data){
				$("#filtrorotas option").remove();
				$("#filtrorotas").append(data);
			}
		)
	}
}

$.mobile.document

	.on('click', '#botaovisualizarrotas', function() {
		qtdeMostrada = -qtdeCarregar;
		carregarDadosRotas();
	})
	
	.on('click', '#voltarrelrotas', function(){
		$("#tabelarelrotas tbody tr").remove();
	})
	
	.on('change', '#filtrovendedorrotas', lkpRotas)
	
	.on('pageshow', '#relrotas', function() {
		$(document).on('scrollstop', scrollStopRotas);		
	})
	
	.on('pagebeforecreate', '#rotas', function() {
		geraLkp($("#filtrovendedorrotas"), 'lookups/lkpvendedores.php');
		lkpRotas();
	})
	
	;